## NAME

v.out.pov - Converts GRASS x,y,z points to POV-Ray x,z,y format.

## KEYWORDS

vector, export, output

## SYNOPSIS

v.out.pov
v.out.pov --help
v.out.pov input=name [layer=string] [type=string[,string,...]] output=name [size=string] [zmod=string] [objmod=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
layer=string
  Layer number or name ('-1' for all layers)
  A single vector map can be connected to multiple database tables. This number determines which table to use. When used with direct OGR access this is the layer name.
  Default: -1
type=string[,string,...]
  Input feature type
  Options: point, line, boundary, centroid, area, face, kernel
  Default: point,line,area,face
output=name [required]
  Name for output POV file
size=string
  Radius of sphere for points and tube for lines
  May be also variable, e.g. grass_r.
  Default: 10
zmod=string
  This string is appended to each z coordinate. Examples: '*10', '+1000', '*10+100', '*exaggeration'
objmod=string
  Object modifier (OBJECT_MODIFIER in POV-Ray documentation)
  Example: "pigment { color red 0 green 1 blue 0 }"

## DESCRIPTION

v.out.pov converts GRASS vector data to POV-Ray format (www.povray.com)

## EXAMPLE

    v.out.pov input=vector3d output=vector3d.pov objmod="pigment { color red 0 green 1 blue 0 }"

The generated file can be included in an existing .pov file with the following statement:

    #include "vector3d.pov"

## REFERENCES

POV-Ray

## SEE ALSO

r.out.pov

## AUTHOR

Radim Blazek, ITC-Irst, Trento, Italy

## SOURCE CODE

Available at: v.out.pov source code (history)

Accessed: Sat Jun 18 03:46:53 2022

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.2.0 Reference Manual